Scala sbtの依存関係で「io.confluent;kafka-avro-serializer;1.0 Not Found」が出る場合

Facebook にシェア
Pocket
LINEで送る
このエントリーを Google ブックマーク に追加

Mavenの場合も同様だけど、今回はsbtのときのみで。

[amazonjs asin=”4844330845″ locale=”JP” title=”Scalaスケーラブルプログラミング第2版”]

なんらかのライブラリの依存関係で「kafka-avro-serializer」を使っている場合に、

[shell] io.confluent;kafka-avro-serializer;1.0 Not Found
[/shell]

がでた。解決方法としては、rebuild.sbtにリゾルバを追加してやればいい。

[shell title=”build.sbt”] resolvers ++= Seq(
"confluent" at "https://packages.confluent.io/maven/"
)
[/shell]

Related posts

コメントを残す